Download it now!
Bug 56510 - Shearing an already rotated shape doesn't work right.
Summary: Shearing an already rotated shape doesn't work right.
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Brennan Vincent
URL: https://issues.apache.org/ooo/show_bu...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-29 05:14 UTC by Brennan Vincent
Modified: 2016-05-10 02:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brennan Vincent 2012-10-29 05:14:16 UTC
If we rotate a shape, and then shear it, we expect the shear to be applied after the rotation. (The same as the effect of rotating a shape, then pressing "convert to polygon", then shearing, which works as expected).

However, if one draws a rectangle, rotates it some, and then shears it, the rectangle does all sorts of strange things. I believe it could be that the shear is being applied before the rotation; thus there is no difference between shearing and then rotating, and then rotating and then shearing. Clearly this is incorrect.

I'm not sure how well I've explained this, but just try it and you will see immediately that it's not right.
Comment 1 Brennan Vincent 2012-10-29 05:16:48 UTC
Thorsten, I am trying to fix this bug, but core code is pretty byzantine so I'm not sure if I'll be able to decipher how rotating and shearing works. But the code pointer you gave me in e-mail was helpful.

I hope you don't mind me adding you as a CC on this bug, as the resident Draw expert, and perhaps periodically asking you questions about the code if necessary.
Comment 2 Regina Henschel 2012-10-30 14:38:56 UTC
Hi, I guess, that it is not a problem of rotation before or after, but shearing itself is broken. Please try slanting a custom shape up and down with the red handle and compare it with the same action on a classical rectangle. The error I described has been already in AOO, see the URL above.
Comment 3 Regina Henschel 2013-12-26 00:15:53 UTC
This seems to be fixed in the meantime. Please try it again in a current build.
Comment 4 Heiko Tietze 2016-05-04 12:03:41 UTC
If shearing is the same as slanting (that's how the Draw help calls the distortion function) it works perfectly in 5.2 (and probably before according Regina).
Comment 5 tommy27 2016-05-10 02:22:10 UTC
WORKSOFORME me is a better status